import { ElementRef, EventEmitter } from "@angular/core";
export declare class BottomSheetComponent {
    private _elementRef;
    private static randomString;
    private static wasTriggeredRecently;
    private _state;
    State: SheetStates;
    ShowIndicator: boolean;
    ShowBackdrop: boolean;
    Fullscreen: boolean;
    DockedStateHeight: number;
    StateChange: EventEmitter<SheetStates>;
    ScrollChange: EventEmitter<SheetStates>;
    constructor(_elementRef: ElementRef);
    private ShowBottomSheet;
    private OpenBottomSheet;
    private DockBottomSheet;
    private CloseBottomSheet;
    private MakeId;
    ChangeBottomSheetStateToClosed(): void;
    PreventClose(event: any): void;
    ScrollChanged(event: any): void;
}
export declare enum SheetStates {
    Closed = 0,
    Docked = 1,
    Opened = 2
}
